package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/2/22
 */
public class WrongQuestionReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
	private int    pageNo;
	@ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
	private int    pageSize;
	@ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
	private String maxCreateTime;
	@ApiModelProperty(name = "vipId", value = "学生vipId", required = true)
	private String vipId;
	@ApiModelProperty(name = "subject", value = "科目", required = true)
	private String subject;
	@ApiModelProperty(name = "type", value = "0：全部，1：近一月，2：近一周", required = true)
	private int type;

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
